Browse the help center

Create advertiser screen resolution targeting

Creates a screen resolution targeting rule for the specified advertiser.

Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/{advertiserId}/targeting/screen-resolution/create.do

Creates a screen resolution targeting rule for the specified advertiser. The rule filters ad requests based on the user's screen resolution (width x height) using the specified comparison relation. For example, you can target screens greater than 1920x1080. Requires UPDATE permission on the advertiser and MANAGE_DEMAND_TARGETING user permission.

Path Params

advertiserId integer required

Unique numeric ID of the advertiser

1234

Form Params

rule string required

Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist

INCLUDE

relation string required

Comparison relation — LOWER, GREATER, LOWER_EQUAL, GREATER_EQUAL, or EQUAL

GREATER_EQUAL

screenWidth integer required

Target screen width in pixels (e.g., 1920)

1920

screenHeight integer required

Target screen height in pixels (e.g., 1080)

1080

Responses

200

Success

400

Invalid targeting value

401

Unauthorized

403

Forbidden

404

Advertiser not found

500

Internal server error

Please disable Adblock
Are you using adblock? Disable it and reload the page to proceed to the destination page.

A registration has already been submitted from this page. Please try again in 10 minutes.